# MerlinOne DAM Integration #

## Introduction ##

The MerlinOne module enables searching for and importing managed files and Media
entities from the MerlinOne DAM using Entity Browser.

## Requirements ##

For managed files or the Media Image provider:

 * [Entity Browser](https://www.drupal.org/project/entity_browser)
 * [Media entity image](https://www.drupal.org/project/media_entity_image) (dev
   release currently required)
 * [Media entity](https://www.drupal.org/project/media_entity) (dev release
   currently required)

For the Media Document provider:

 * MerlinOne Document (included)
 * [Media entity document](https://www.drupal.org/project/media_entity_document)

## Recommended Modules ##

 * [Media Entity Browser](https://www.drupal.org/project/media_entity_browser)
   for Media Entity browsing and previews
 * [Entity Embed](https://www.drupal.org/project/entity_embed) to embed media
   entities within content

## Configuration ##

Your MerlinOne MX domain name must be configured at Administration >
Configuration > Web Services > MerlinOne Settings
(/admin/config/services/merlinone).

Once this is done, a Media bundle using the MerlinOne Image type provider must
be created (or the MerlinOne Document provider if using MerlinOne Document). The
only required field in that bundle is an Image (or File for a document) field
that must be set as the Source image for the bundle. Optional metadata fields
can also be created and mapped to fields that will be filled with content from
the MerlinOne DAM on import.

Searching for and importing assets from MerlinOne is done using an Entity
Browser widget. Once the bundle is created, add either a MerlinOne Search (for
managed files) or a Media Entity MerlinOne Search (for Media entities) widget to
an Entity Browser configuration.

Additional information on using and configuring the Media module can be found in
the [Drupal 8 Media
Guide](https://www.gitbook.com/book/drupal-media/drupal8-guide/details).

## Usage ##

A search screen will appear after logging in through the MerlinOne Entity
Browser widget. To select assets, click the blue checkbox on the upper right
corner. After making any selections, click "Save Selected" which will enable the
Druplicon button. Clicking that button will send your selections to the widget,
enabling the widget's "Select entities" button. Once that button is clicked the
assets will be imported into the Media library for use on the site.
