/**
 * @file
 *
 * MerlinOne Entity Browser integration
 */
(function ($, Drupal) {

  function getHost(url) {
    var l = document.createElement('a');
    l.href = url;
    return l.hostname;
  }

  Drupal.behaviors.merlinOneEntityBrowserSearch = {
    attach: function (context, settings) {

      // Search frame
      var $searchFrame = $(context).find('.merlinone-search-iframe').once('merlinOneEntityBrowserSearch');
      if ($searchFrame.length) {
        // Hidden input to hold the JSON response from Merlin
        var $merlinMessageResponse = $(context).find('input[name=merlinone_response]');

        // Disable submit button until we get data
        var $submit = $(context).find('.is-entity-browser-submit');
        $submit.prop('disabled', true);

        // Receive selected item information
        function messageHandler(e) {
          if (e.data && getHost(e.origin) === settings.merlinone.entity_browser.mx_host) {
            $merlinMessageResponse.val(JSON.stringify(e.data));
            $submit.prop('disabled', false);
          }
        }

        // Attach listener
        window.addEventListener('message', messageHandler);
      }
    }
  };

})(jQuery, Drupal);